import QtQuick 1.1
import com.nokia.meego 1.0
import "x3m.js" as B

Page
{
    id: aboutPage
    orientationLock: PageOrientation.Automatic;
    tools: commonTools

    Header {
        id: h
        text: qsTr("Contact YLEX studio")
    }

    Flickable {
        anchors.top: h.bottom
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.rightMargin: B.DEFAULT_MARGIN
        anchors.leftMargin: B.DEFAULT_MARGIN
        contentHeight: c.height
        clip: true;

        Column {
            id: c;
            spacing: 32;

            anchors.horizontalCenter: parent.horizontalCenter

            Text {
                text: qsTr("SMS works only in Finland")
                wrapMode: Text.WordWrap
                font.pixelSize: 24
                color: "white"
                width: parent.width
            }

            Button { text: qsTr("Call (+35891482822)"); onClicked: { Qt.openUrlExternally("tel:+35891482822") } }
            Button { text: qsTr("Send SMS (17176)"); onClicked: { Qt.openUrlExternally("sms:17176") } }

            Text {                
                text: qsTr("Price: 0.40eur");
                verticalAlignment: Text.AlignVCenter
                font.pixelSize: 28
                wrapMode: Text.WordWrap
                color: "white"
                width: parent.width
            }

            Button { text: qsTr("E-Mail"); onClicked: { Qt.openUrlExternally("mailto:ylex.etusivu@yle.fi") } }
            Button { text: qsTr("Web"); onClicked: { Qt.openUrlExternally("http://ylex.yle.fi/"); } }
            Button { text: qsTr("YouTube"); onClicked: { Qt.openUrlExternally("http://www.youtube.com/user/ylexvideos"); } }
            Button { text: qsTr("Facebook"); onClicked: { Qt.openUrlExternally("http://www.facebook.com/ylex.fi"); } }
            Button { text: qsTr("Twitter"); onClicked: { Qt.openUrlExternally("http://www.twitter.com/ylex"); } }
            Button { text: qsTr("Instagram"); onClicked: { Qt.openUrlExternally("http://instagram.com/ylex_official"); } }
        }
    }
}
